Package com.xebialabs.deployit.plugin.api.udm

# Class BaseProvisionable

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.base.BaseDeployable
com.xebialabs.deployit.plugin.api.udm.BaseProvisionable

All Implemented Interfaces:
  `ConfigurationItem`, `Deployable`, `Provisionable`, `Taggable`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(virtual=true, description="Base type for all provisionables.") public class BaseProvisionable extends BaseDeployable implements Provisionable

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

  `TAGS_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseProvisionable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCardinality()`
  `List<Provisioner>`
  `getProvisioners()`
  `void`
  `setCardinality(String cardinality)`
  `void`
  `setProvisioners(List<Provisioner> provisioners)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployable

  `getBoundTemplates, getTags, setBoundTemplates, setTags`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

  `getTags, setTags`

- ## Constructor Details

  - ### BaseProvisionable

    public BaseProvisionable()

- ## Method Details

  - ### getCardinality

    public String getCardinality()
    Specified by:
      `getCardinality` in interface `Provisionable`

  - ### setCardinality

    public void setCardinality(String cardinality)
    Specified by:
      `setCardinality` in interface `Provisionable`

  - ### getProvisioners

    public List<Provisioner> getProvisioners()

  - ### setProvisioners

    public void setProvisioners(List<Provisioner> provisioners)